libpng12-0 lässt sich nicht installieren

Dieses Thema im Forum "Debian/Ubuntu/Knoppix" wurde erstellt von S.A.L., 21.05.2005.

  1. #1 S.A.L., 21.05.2005
    Zuletzt bearbeitet: 21.05.2005
    S.A.L.

    S.A.L. Grünschnabel

    Dabei seit:
    21.05.2005
    Beiträge:
    7
    Zustimmungen:
    0
    Ersteinmal ein herzliches Hallo in die Runde, ich bin das erste mal hier im Forum ... k, sieht man ja auch an den Postings :))

    Ich hab ein kleines Problem, ich will mein Debian Sarge upgraden, wenn ich nun aber apt-get upgrade eintippe bringt er mir folgende Meldungen

    Code:
    Reading Package Lists... Done
    Building Dependency Tree... Done
    You might want to run `apt-get -f install' to correct these.
    The following packages have unmet dependencies:
      libmagick6: Depends: libpng12-0 (>= 1.2.8rel) but 1.2.5.0-7 is installed
    E: Unmet dependencies. Try using -f.
    ok, denk ich mir, installier ich einfach mal die libpng12-0 in der neusten version und geb dazu "apt-get install libpng12-0" ein. Aber das geht leider auch nicht. So siehts dann aus:

    Code:
    Reading Package Lists... Done
    Building Dependency Tree... Done
    You might want to run `apt-get -f install' to correct these.
    The following packages have unmet dependencies:
      libmagick6: Depends: libpng12-0 (>= 1.2.8rel) but 1.2.5.0-7 is installed
    E: Unmet dependencies. Try using -f.
    vs170065:/etc/apt# apt-get install libpng12-0
    Reading Package Lists... Done
    Building Dependency Tree... Done
    The following packages will be upgraded:
      libpng12-0
    1 upgraded, 0 newly installed, 0 to remove and 215 not upgraded.
    66 not fully installed or removed.
    Need to get 0B/115kB of archives.
    After unpacking 28.7kB disk space will be freed.
    Reading package fields... Done
    Reading package status... Done
    Retrieving bug reports... Done    
    (Reading database ... 34368 files and directories currently installed.)
    Preparing to replace libpng12-0 1.2.5.0-7 (using .../libpng12-0_1.2.8rel-1_i386.deb) ...
    Unpacking replacement libpng12-0 ...
    dpkg: error processing /var/cache/apt/archives/libpng12-0_1.2.8rel-1_i386.deb (--unpack):
     unable to install new version of `./usr/share/doc/libpng12-0/TODO': No such file or directory
    dpkg-deb: subprocess paste killed by signal (Broken pipe)
    Errors were encountered while processing:
     /var/cache/apt/archives/libpng12-0_1.2.8rel-1_i386.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    Vor 3 oder 4 Wochen hab ich das letzte mal upgegradet, seitdem habich eigtl. nichts am System gemacht.
    Kann mir jemand weiterhelfen? Wie bekomm ich die libpng12-0 installiert? Oder liegt das an mehr als nur der libpng?

    Vielen Dank schonmal für die Hilfe :)
    Steffen
     
  2. Anzeige

    Schau dir mal diese Kategorie an. Dort findest du bestimmt etwas.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
  3. #2 Goodspeed, 22.05.2005
    Goodspeed

    Goodspeed Foren Gott
    Moderator

    Dabei seit:
    21.04.2004
    Beiträge:
    4.165
    Zustimmungen:
    1
    Ort:
    Dresden
    Ein

    apt-get dist-upgrade

    führt auch zu dem Fehler? Wenn ich wieder zu Hause bin, schau ich mit dass Paket mal an ...

    Versuch auch mal

    apt-get install apt dpkg

    denn wenn ich die Ausgabe von apt so sehe, hast Du noch "viel" vor Dir ... maybe auch ne neue Version vom Paketmanager.
     
  4. PWR

    PWR Jungspund

    Dabei seit:
    19.08.2004
    Beiträge:
    10
    Zustimmungen:
    0
    Ort:
    Oberösterreich
    Saug dir mal die Tarball des Pakets und kopier die "TODO"-Datei darin nach
    /usr/share/doc/libpng12-0/

    Eventuell genügt es auch, wenn einfach irgendeine Datei dort ist, die TODO heißt. Wenn das erledigt ist, versuch das Paket nochmal zu installieren.

    mfg, philipp
     
  5. jonah

    jonah Benutzter Registrierer

    Dabei seit:
    18.11.2004
    Beiträge:
    339
    Zustimmungen:
    0
    Ort:
    Bielefeld
    PHP:
    Reading Package Lists... Done
    Building Dependency Tree
    ... Done
    You might want to run 
    `apt-get -f install' to correct these.
    The following packages have unmet dependencies:
      libmagick6: Depends: libpng12-0 (>= 1.2.8rel) but 1.2.5.0-7 is installed
    E: Unmet dependencies. Try using -f.
    Vielleicht erstmal machen, was da steht ?

    cu
     
  6. theton

    theton Bitmuncher

    Dabei seit:
    27.05.2004
    Beiträge:
    4.820
    Zustimmungen:
    0
    Ort:
    Berlin, Germany
    Erstmal 'apt-get -f install' ausführen. Dadurch werden fehlende Abhängigkeiten und ähnlich Fehler im apt korrigiert. Danach solltest du wieder ganz normal installieren und deinstallieren können. Wie jonah schon sagte, erstmal das machen, was da steht. :)
     
  7. sono

    sono Sack Flöhe Hüter

    Dabei seit:
    31.01.2004
    Beiträge:
    1.299
    Zustimmungen:
    0
    Ort:
    http://webfrap.de
    jo erst mal mit apt-get install -f

    wenn das nicht geht dann das packet löschen das Probleme macht und nach dem upgrade einfach wieder installieren.

    Oder du nimmst einfach mal synaptic , damit geht das machnmal etwas besser und einfacher.
     
  8. Anzeige

    Vielleicht findest du HIER Antworten.
    Registrieren bzw. einloggen, um diese und auch andere Anzeigen zu deaktivieren
Thema:

libpng12-0 lässt sich nicht installieren

Die Seite wird geladen...

libpng12-0 lässt sich nicht installieren - Ähnliche Themen

  1. [Erledigt] Shell-Skript lässt sich nicht mit Cron ausführen

    [Erledigt] Shell-Skript lässt sich nicht mit Cron ausführen: Hallo, ich hoffe ihr könnt mir helfen. Ich entwerfe im Moment ein Skript, welches den Callmonitor (Telnet) auf meiner FritzBox abfragt und wenn...
  2. Owncloud-Gründer Karlitschek verlässt sein Unternehmen

    Owncloud-Gründer Karlitschek verlässt sein Unternehmen: Frank Karlitschek, Entwickler von Owncloud und Gründer der Firma Owncloud Inc. verlässt mit sofortiger Wirkung sein eigenes Unternehmen...
  3. VMware entlässt Entwickler von »Workstation« und »Fusion«

    VMware entlässt Entwickler von »Workstation« und »Fusion«: Früher waren die Desktop-Hypervisoren Workstation und Fusion Brot und Butter für VMware. Jetzt wurden die Entwicklungsabteilungen beider Produkte...
  4. Parrot lässt Bebop 2 abheben

    Parrot lässt Bebop 2 abheben: Der französische Zivildrohnen- und Automotive-Hersteller Parrot bringt eine neue Bebop auf den Markt. Die kleine leichte Bebop 2 hat ein...
  5. Andreas Gal verlässt Mozilla

    Andreas Gal verlässt Mozilla: Andreas Gal, technischer Leiter bei Mozilla, verlässt die Mozilla Foundation, um ein Startup im Umfeld des Internet of Things (IoT) zu gründen. Er...